package ch.hevs.isc.slopify_v2

import scala.collection.mutable.ArrayBuffer

class Album(val name: String) extends Serializable {
  private var _songs: ArrayBuffer[Song] = new ArrayBuffer()
  def addSong(song: Song): Unit = _songs.addOne(song)
  def containsSong(song: Song): Boolean = _songs.contains(song)
  def getSongs(): Array[Song] = _songs.toArray

  override def toString: String = s"<Album '$name': ${_songs.length} song(s)>"
}
